Bug 506528 - Restored databases with gbak using tcp connexion and firebird "Classic Server" creates databases owned by root
Restored databases with gbak using tcp connexion and firebird "Classic Server...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: firebird (Show other bugs)
el5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Philippe Makowski
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 12:12 EDT by Pierre Yager
Modified: 2009-07-29 18:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.2.18118.0-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 17:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Yager 2009-06-17 12:12:07 EDT
Description of problem:

The databases created by 
$ gbak -c backup.fbk localhost:/path/to/database.fdb

Are owned by root instead of beeing owned by firebird

Version-Release number of selected component (if applicable):

Name       : firebird-classic
Arch       : x86_64
Version    : 2.1.2.18118.0
Release    : 7.el5
Size       : 3.6 M
Repo       : installed
Summary    : Classic (xinetd) server for Firebird SQL RDBMS
URL        : http://www.firebirdsql.org/
License    : Interbase
Description: This is the classic (xinetd) server Firebird SQL RDBMS. It can also be used as an embedded server, when paired with the
           : client-embedded package.

How reproducible:

Always.

Steps to Reproduce:
1. # yum install firebird-classic --enablerepo=epel-testing
2. # /etc/init.d/xinetd start [ or restart if xinetd is already running ]
3. $ gbak -b localhost:employee ~/employee.fbk -user SYSDBA -password masterkey
-> employee.fbk is in user's home, self owned.
4. $ gbak -c ~/employee.fbk localhost:/var/lib/firebird/data/employee-test.fdb -user SYSDBA -password masterkey
  
Actual results:

$ ls -la /var/lib/firebird/data
total 2172
drwxrwx--- 4 firebird firebird    4096 jun 17 18:09 .
drwxr-xr-x 3 root     root        4096 jun 16 14:47 ..
-rw-rw---- 1 firebird firebird 1085440 jun 17 18:08 employee.fdb
-rw-rw---- 1 root     root     1089536 jun 17 18:09 employee-test.fdb

Expected results:

-rw-rw---- 1 firebird firebird 1089536 jun 17 18:09 employee-test.fdb

Additional info:

$ cat /etc/xinetd.d/firebird
# default: on
# description: FirebirdSQL server
#
# Be careful when commenting out entries in this file. Active key entry should
# be the first as some scripts (CSchangeRunUser.sh in particular) use sed
# scripting to modify it.

service gds_db
{
        disable = no
        flags           = REUSE
        socket_type     = stream
        wait            = no
        user            = root
# These lines cause problems with Windows XP SP2 clients
# using default firewall configuration (SF#1065511)
#       log_on_success  += USERID
#       log_on_failure  += USERID
        server          = /usr/lib64/firebird/bin/fb_inet_server
}

The user is "root", maybe is should be "firebird" ?
Comment 1 Philippe Makowski 2009-06-18 02:34:56 EDT
you are right
it will be change when new upstream will be available

for now a :
/sbin/chkconfig firebird off
sed "s@= root@= firebird@" -i /etc/xinetd.d/firebird
/sbin/chkconfig firebird on

will do the job

sorry
Comment 2 Fedora Update System 2009-07-12 05:49:21 EDT
firebird-2.1.2.18118.0-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-11.fc11
Comment 3 Fedora Update System 2009-07-12 05:49:31 EDT
firebird-2.1.2.18118.0-11.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-11.el5
Comment 4 Fedora Update System 2009-07-12 05:49:39 EDT
firebird-2.1.2.18118.0-10.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-10.el4
Comment 5 Fedora Update System 2009-07-12 05:49:48 EDT
firebird-2.1.2.18118.0-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-11.fc10
Comment 6 Fedora Update System 2009-07-13 15:39:13 EDT
firebird-2.1.2.18118.0-11.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0070
Comment 7 Fedora Update System 2009-07-13 15:39:25 EDT
firebird-2.1.2.18118.0-10.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0057
Comment 8 Fedora Update System 2009-07-16 02:57:40 EDT
firebird-2.1.2.18118.0-11.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7570
Comment 9 Fedora Update System 2009-07-16 03:03:34 EDT
firebird-2.1.2.18118.0-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7595
Comment 10 Fedora Update System 2009-07-29 17:33:10 EDT
firebird-2.1.2.18118.0-11.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-29 17:34:33 EDT
firebird-2.1.2.18118.0-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-07-29 18:57:17 EDT
firebird-2.1.2.18118.0-10.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-29 18:58:33 EDT
firebird-2.1.2.18118.0-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.